Package org.eclipse.m2m.atl.emftvm.util

## Class VMException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.m2m.atl.emftvm.util.VMException

All Implemented Interfaces:
  `java.io.Serializable`

    public class VMException
    extends java.lang.RuntimeException

EMFTVM runtime exception class.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`VMException​(StackFrame frame)` Creates a new `VMException`.
`VMException​(StackFrame frame, java.lang.String message)` Creates a new `VMException`.
`VMException​(StackFrame frame, java.lang.String message, java.lang.Throwable cause)` Creates a new `VMException`.
`VMException​(StackFrame frame, java.lang.Throwable cause)` Creates a new `VMException`.

### Method Summary

All Methods Instance Methods Concrete Methods
`StackFrame` `getFrame()` Returns the current `StackFrame`.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VMException

    public VMException​(StackFrame frame)

Creates a new `VMException`.

Parameters:
  `frame` - the current `StackFrame`

#### VMException

    public VMException​(StackFrame frame,
                       java.lang.String message)

Creates a new `VMException`.

Parameters:
  `frame` - the current `StackFrame`
  `message` - the error message

#### VMException

    public VMException​(StackFrame frame,
                       java.lang.Throwable cause)

Creates a new `VMException`.

Parameters:
  `frame` - the current `StackFrame`
  `cause` - the nested exception

#### VMException

    public VMException​(StackFrame frame,
                       java.lang.String message,
                       java.lang.Throwable cause)

Creates a new `VMException`.

Parameters:
  `frame` - the current `StackFrame`
  `message` - the error message
  `cause` - the nested exception

### Method Detail

#### getFrame

    public StackFrame getFrame()

Returns the current `StackFrame`.

Returns:
  the frame

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Throwable`